Refuse to flash if fastboot has no knowledge about dynamic partition

TEST: compared with the fastboot --version 28.0.1 and 28.0.2

BUG:120105455
Change-Id: I4a7b2741b9733181842a411b536e5e3e0a82fa4c
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index 6bcee8a..55fa170 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,7 +101,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q create-logical-partition \$(which fastboot); then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi
@@ -258,7 +258,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-if ! grep -q create-logical-partition \$(which fastboot); then
+if ! [ \$(\$(which fastboot) --version | grep "version" | cut -c18-23 | sed 's/\.//g' ) -ge 2802 ]; then
   echo "fastboot too old; please download the latest version at https://developer.android.com/studio/releases/platform-tools.html"
   exit 1
 fi